[OE-core] [PATCH 1/6] scripts/bitbake: ensure user is in build directory

Paul Eggleton paul.eggleton at linux.intel.com
Wed Mar 14 00:36:27 UTC 2012


If the user is in any directory other than $BUILDDIR when the bitbake
wrapper script is run, then show an error an exit.

Fixes [YOCTO #2071].

Signed-off-by: Paul Eggleton <paul.eggleton at linux.intel.com>
---
 scripts/bitbake |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/scripts/bitbake b/scripts/bitbake
index dda3b26..45c8697 100755
--- a/scripts/bitbake
+++ b/scripts/bitbake
@@ -47,6 +47,11 @@ float_test() {
 # but earlier versions do not
 float_test "$TARVERSION > 1.23" && needtar="0"
 
+if [ "`pwd`" != "$BUILDDIR" ] ; then
+    echo "BitBake must be run from your build directory: $BUILDDIR"
+    exit 1
+fi
+
 buildpseudo="1"
 if [ $needpseudo = "1" ] && [ -e "$BUILDDIR/pseudodone" ]; then
     PSEUDOBINDIR=`cat $BUILDDIR/pseudodone`
-- 
1.7.5.4





More information about the Openembedded-core mailing list